View as Markdown
API Spec (JSON)
API Spec (YAML)
Compact modeHides field descriptions and other prose for a more compact, scannable view of the API reference.Client CredentialsToken URLhttps://api-m.sandbox.paypal.com/v1/oauth2/tokenInheaderScopes
readwriteapplication/json
TypeScript Definitions
Use the request body type in TypeScript.
entitlementsobject<EntitlementRequest>[]Requiredfeature_privilege_valuesobjectRequiredapplication/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/plans/string/entitlements" \ -H "Content-Type: application/json" \ -d '{ "entitlements": [ { "feature_code": "seats", "feature_privilege_values": { "max": 100, "max_admins": 10, "root": true, "guest_access": false } }, { "feature_code": "api_access", "feature_privilege_values": { "rate_limit": 10000, "endpoints": "all" } } ] }'{ "entitlements": [ { "feature_code": "seats", "name": "Number of seats", "description": "Number of users of the account", "feature_privileges": [ { "code": "max", "name": "Maximum", "value_type": "INTEGER", "value": 100 }, { "code": "max_admins", "name": "Max Admins", "value_type": "INTEGER", "value": 10 }, { "code": "root", "name": "Allow root user", "value_type": "BOOLEAN", "value": true }, { "code": "guest_access", "name": "Allow guest access", "value_type": "BOOLEAN", "value": false } ] }, { "feature_code": "api_access", "name": "API Access", "description": "Access to REST API endpoints", "feature_privileges": [ { "code": "rate_limit", "name": "API Rate Limit", "value_type": "INTEGER", "value": 10000 }, { "code": "endpoints", "name": "Available Endpoints", "value_type": "SELECT", "value": "all", "config": { "select_options": [ "basic", "standard", "premium", "all" ] } } ] } ]}